import 'package:http/http.dart' as http;

import '../../nextcloud_ocs.dart';
import '../talk_api.dart';
import 'get_participants_response.dart';

class GetParticipants extends TalkApi<GetParticipantsResponse> {
  String token;
  GetParticipants(this.token) : super('v4/room/$token/participants', null);

  @override
  GetParticipantsResponse assemble(String raw) =>
      GetParticipantsResponse.fromJson(NextcloudOcs.decode(raw));

  @override
  Future<http.Response> request(
    Uri uri,
    Object? body,
    Map<String, String>? headers,
  ) => http.get(uri, headers: headers);
}
